﻿using UnityEngine;
using System.Collections;
using System;

public class Item : MonoBehaviour {

	// Use this for initialization
	void Start () {
	
	}
	
	// Update is called once per frame
	void Update () {
	

	}

    public float cooldownWhenUsed;
    public float cooldownRemaining;

    public void Consume(Character c)
    {
        // Not everything can be "used"

        if(OnConsume != null)
        {
            OnConsume(this, c);
        }
    }

    public delegate void ConsumeEventHandler( Item item, Character consumer );

    // An "event" is kind of like a **list** that can
    // only be added to or removed from,
    // or can be called like a function (or rather MANY functions)
    public event ConsumeEventHandler OnConsume;

    // This represents events that trigger when an
    // item is equipped, unequipped, or is simply
    // in your inventory
    public EffectData EquippedEffectData;

}
